| LightHub v4.0.0 Smarthome controller firmware

Public Member Functions | List of all members
StatusLED Class Reference

`#include <statusled.h>`

## Public Member Functions
| StatusLED (uint8_t pattern=0)
void | set (uint8_t pattern)
void | show (uint8_t pattern)
void | poll ()
void | flash (uint8_t pattern)

## Constructor & Destructor Documentation

## ◆ StatusLED()

StatusLED::StatusLED | ( | uint8_t | pattern = `0` | ) |

## Member Function Documentation

## ◆ flash()

void StatusLED::flash | ( | uint8_t | pattern | ) |

## ◆ poll()

void StatusLED::poll | ( |  | ) |

## ◆ set()

void StatusLED::set | ( | uint8_t | pattern | ) |

## ◆ show()

void StatusLED::show | ( | uint8_t | pattern | ) |

The documentation for this class was generated from the following files:

- statusled.h
- statusled.cpp